org.aspectj.lang.reflect

## Interface PerClause

All Known Subinterfaces:
  PointcutBasedPerClause

All Known Implementing Classes:
  PerClauseImpl, PointcutBasedPerClauseImpl, TypePatternBasedPerClauseImpl

    public interface PerClause

AspectJ runtime representation of the per-clause associated with an aspect.

### Method Summary

All Methods Instance Methods Abstract Methods
`PerClauseKind` `getKind()`

### Method Detail

#### getKind

    PerClauseKind getKind()

Returns:
  the kind of per-clause (singleton, perthis, pertarget,...)